Skip to content

Create 'Inspectionerrandfile'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
file_objobjectrequired
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
inspection_errand_noteobject or null(Inspectionerrandnote)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: inspection_errand_fault

This field, or at least one of the following fields must be set: inspection_errand_fault

inspection_errand_faultobject or null(Inspectionerrandfault)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: inspection_errand_note

This field, or at least one of the following fields must be set: inspection_errand_note

POST
/errands/inspections/reporting/inspectionerrandfile/
curl -i -X POST \
  https://dev.api.pigello.io/errands/inspections/reporting/inspectionerrandfile/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "custom_id": "string",
    "inspection_errand_note": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "inspection_errand_fault": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "file_obj": {
      "name": "string",
      "md5_hash": "string",
      "get": "string",
      "post": {
        "url": "string",
        "fields": {}
      }
    }
  }'

Responses

Successful creation

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

file_objobjectrequired
created_atstring, (date-time)read-only
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
inspection_errand_noteobject or null(Inspectionerrandnote)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: inspection_errand_fault

This field, or at least one of the following fields must be set: inspection_errand_fault

inspection_errand_faultobject or null(Inspectionerrandfault)

Additional Validation Information:

This value can't bet set, when any of the following fields are set: inspection_errand_note

This field, or at least one of the following fields must be set: inspection_errand_note

Response
{ "created_at": "2019-08-24T14:15:22Z", "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "custom_id": "string", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "inspection_errand_note": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "inspection_errand_fault": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "file_obj": { "name": "string", "md5_hash": "string", "get": "string", "post": {} } }